Skip to main content
PUT
/
v1
/
businesses
/
{businessId}
/
vendors
/
{vendorId}
Update vendor
curl --request PUT \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "individual_name": "<string>",
  "company_name": "<string>",
  "email": "<string>",
  "mobile_phone": "<string>",
  "office_phone": "<string>",
  "address_string": "<string>",
  "memo": "<string>",
  "tags": [
    {
      "key": "department",
      "value": "sales",
      "dimension_display_name": "Department",
      "value_display_name": "Sales Department"
    }
  ]
}
'
{
  "data": {
    "type": "VendorData",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "individual_name": "<string>",
    "company_name": "<string>",
    "email": "<string>",
    "mobile_phone": "<string>",
    "office_phone": "<string>",
    "address_string": "<string>",
    "memo": "<string>",
    "transaction_tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "ExampleTagKey",
        "value": "ExampleTagValue",
        "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dimension_display_name": "<string>",
        "value_display_name": "<string>",
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the vendor belongs to.

vendorId
string<uuid>
required

The UUID of the vendor to update.

Body

application/json
external_id
string | null

External ID for the vendor.

individual_name
string | null

Name of individual vendor or contact.

company_name
string | null

Name of company vendor.

email
string | null

Email address.

mobile_phone
string | null

Mobile phone number.

office_phone
string | null

Office phone number.

address_string
string | null

Physical address.

memo
string | null

Memo for any text you would like to associate with the vendor (for example, to display to end users).

tags
object[]

Response

200 - application/json

Vendor updated successfully.

data
object
required